/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the dialog module of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef QPRINTDIALOG_UNIX_H
#define QPRINTDIALOG_UNIX_H

#include "qabstractprintdialog.h"

#ifndef QT_NO_PRINTDIALOG

class QGroupBox;
class QPrintDialogUnixPrivate;
class QListView;

class Q_GUI_EXPORT QPrintDialogUnix : public QAbstractPrintDialog
{
    Q_OBJECT
    Q_DECLARE_PRIVATE(QPrintDialogUnix)
public:
    QPrintDialogUnix(QPrinter *, QWidget* parent=0);
    ~QPrintDialogUnix();

    int exec();

    void setPrinter(QPrinter *, bool = false);
    QPrinter *printer() const;

    void addButton(QPushButton *but);

private slots:
    void browseClicked();
    void okClicked();

    void printerOrFileSelected(int);
    void landscapeSelected(int);
    void paperSizeSelected(int);
    void orientSelected(int);
    void pageOrderSelected(int);
    void colorModeSelected(int);
    void setNumCopies(int);
    void printRangeSelected(int);
    void setFirstPage(int);
    void setLastPage(int);

    void fileNameEditChanged(const QString &text);

private:
    Q_DISABLE_COPY(QPrintDialogUnix)
    QGroupBox *setupDestination();
    QGroupBox *setupOptions();
    QGroupBox *setupPaper();
    QGroupBox *setupPrinterSettings();
};

#endif

#endif // QPRINTDIALOG_UNIX_H
